(function () {

    jwplayer.key = "l33PiUta/XdDcW+Etg4rUPibBw1qZApFA2EFFjZwgHw=";
    var streamName = "Watch Live";
    var streamLink;
    var rtspURI;
    var rtmpURI;
    var httpURI = 'http://publive.upeek.tv:8081/rslive/';    
    // var wsURL = 'http://192.168.100.31/upeekws/api/publishing/getbystreamid?streamid=';
    var wsURL = 'http://deploy.valuecomusa.com/upeek/api/publishing/getbystreamid?streamid=';

    $(document).ready(function () {

        toastr.options = { closeButton: true };

        // var streamID = getParameterByName('sID');
        var streamID = getsid();
        /*
        if (streamID == '')
            streamID = 'vegaslive';
            */
        httpURI = httpURI + streamID + '/playlist.m3u8';
        wsURL = wsURL + streamID;


        //
        //
        toastr.info('Loading user data...');
        // var request = $.ajax({ url: wsURL, type: 'get', contentType: 'json; charset="utf-8"' });
        var request = $.ajax({ url: wsURL, type: 'get'});

        request.error(function (jqXHR, textStatus, errorThrown) {
            toastr.error('Cannot send request to server. Trying to resend request...');
            
        }).success(function (result, status, settings) {
            
            if (result.Code !== 1) {
                toastr.error('Request unsuccess')
                return;
            }

            if (result.Data === null) {
                toastr.info('Data not found');
                return;
            }

            

            var stream_id = formatData(result.Data.StreamID);
            var user_name = formatData(result.Data.Username);
            var stream_url = formatData(result.Data.StreamURL);
            var profile_img = formatData(result.Data.ProfileImage);
            var total_like = formatData(result.Data.TotalLike);
            var total_share = formatData(result.Data.TotalShare);
            var total_play = formatData(result.Data.TotalPlay);
            var title = formatData(result.Data.Title);
            var sLocation = formatData(result.Data.LocationName);
            var category = formatData(result.Data.Category);
            var stream_url = formatData(result.Data.StreamURL);
            //console.log(location);
            //console.log(JSON.stringify(result));
            //console.log(JSON.stringify(result.Data));
            //console.log(JSON.stringify(result.Data.LocationName));
            var $banner = $('.topbanner');
            var $userInfo = $banner.children('.user-info');
            var $topLabel = $banner.children('.top-label');
            toastr.success('Welcome ' + user_name);
            // username
			if(user_name != '')
	            $userInfo.children('ul').children('li').first().text(user_name);
            // profile image
			if(profile_img != '')
	            $userInfo.children('ul').children('li').last().css({ 'background': 'url(' + profile_img + ') center center' });
            // title
			if(title != '')
	            $topLabel.children('h5').text(title);
            // location
			if(sLocation != '')
	            $topLabel.children('.location').text(sLocation);
            // category
			if(category != '')
	            $topLabel.children('.categories').text(category);

            // total share, like, play
            $topLabel.find('.share').text(total_share);
            $topLabel.find('.chat').text(total_play);
            $topLabel.find('.love').text(total_like);

            /*
            if (stream_url !== '') {
                // window.location.replace(stream_url);
                console.log(stream_url + '/playlist.m3u8');
                httpURI = stream_url + '/playlist.m3u8';

                if (httpURI.indexOf('rtmp:') >= 0) {
                    httpURI = httpURI.replace('rtmp:', 'http:');
                }   

                jwplayer().load({ file: httpURI, image: "img/hdb_base_a.jpg" });
                // jwplayer().play();
            }*/
                

        });

        var share = new Share(".share-button", {
            ui: { flyout: "middle left", button_text: "Share" },
            networks: {
                facebook: { app_id: "", load_sdk: false },
                pinterest: { enabled: false },
                email: { enabled: true }
            }
        });

        //
        // remove share style        
        $('head').children('style').each(function (i, e) {
            // console.log('index = ' + i + 'text = ' + $(e).text());
            // console.log('indexOf = ' + $(e).text().indexOf('.share-button.sharer-0'));

            if ($(e).text().indexOf('.share-button.sharer-0') >= 0) {
                $(e).remove();
            }
        });


        //Load Media
        jwplayer("livePlayer").setup({
            image: 'img/hdb_base_a.jpg',
            file: httpURI,
            title: "Watch Live",
            primary: 'flash',
            width: "100%",
            stretching: 'fill',
            androidhls: true,
            aspectratio: '9:16',
            wmode: 'transparent',
            controls: false,
            autostart: false,
            abouttext: 'about uPeek',
            aboutlink: 'http://uPeek.tv/about'
        });

        jwplayer().onError(function () {
            jwplayer().load({ file: httpURI, image: "img/hdb_base_n.jpg" });
            jwplayer().play();
        });


    });

    function getParameterByName(name) {
        name = name.replace(/[\[]/, "\\[").replace(/[\]]/, "\\]");
        var regex = new RegExp("[\\?&]" + name + "=([^&#]*)"), results = regex.exec(location.search);
        return results === null ? "" : decodeURIComponent(results[1].replace(/\+/g, " "));
    };

    function getsid() {
        var search = window.location.search;

        if (search === undefined || search === '')
            return '';

        if (search.indexOf('?') >= 0)
            search = search.replace('?', '');
        
        var arr = search.split('&');

        if (arr.length === 0)
            return '';

        for (var i = 0; i < arr.length; i++) {
            var params = arr[i].split('=');
            //console.log(params[0].toLowerCase());
            if (params[0].toLowerCase() === 'sid')
                return params[1];
        }

        return '';
    };

    function formatData(data) {
        if (data === undefined || data === '') return '';

        return data;
    };

})();