(function() {

    var app = angular.module('app', []);

    app.controller('uPeekController', ['$scope', function(scope) {

        scope.played = false;
        scope.playing = false;
        scope.pause = false;

        //
        // play video
        scope.play = function () {
            scope.played = true;
            scope.playing = true;
            $('#divPlayerHeader').fadeOut();
            jwplayer().play();
            toastr.info('Now Playing');
        };

        //
        // toggle on hover
        scope.toggleHeaderHover = function (visible) {

            if (!scope.playing) return;

            if (visible) {
                $('#divPlayerHeader').fadeIn();
            } else {
                $('#divPlayerHeader').fadeOut();
            }
        };

        //
        // toggle play
        scope.togglePlay = function () {

            if (!scope.playing) return;

            
            $('#divPlayerHeader').fadeToggle();
            // jwplayer().play();
            /*
            if (scope.pause) {
                toastr.success('Resume');
                // console.log('resume');
            } else {
                toastr.info('Pause');
            } */

            scope.pause = !scope.pause;
        };

    } ]);

})();